#include <bits/stdc++.h>

using namespace std;

int main(){
    int t;cin >> t;
    int n[t];int m[t];int k[t];
    for(int i = 0;i < t;i++){
        cin >> n[i] >> m[i] >> k[i];
        if(n[i] >= m[i]){
            cout << "Nie" << endl;

        }
        else if(n[i] < k[i]){
            cout << "Nie" << endl;

        }
        else if(m[i] / n[i] < n[i] / 2){
            cout << "Nie" << endl;
        }
        else{
            cout << "Tak" << endl;;
        }
    }
	return 0;
}